{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.editors.neovim;
in {
  options.modules.editors.neovim = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    user.packages = with pkgs; [
      neovim
    ];

    home.configFile = {
      "nvim/init.lua" = { source = ./init.lua; };
      "nvim/lua" = { source = ./lua; recursive = true; };
    };

    env.EDITOR = "nvim";

    environment.shellAliases = {
      vim = "nvim";
      v   = "nvim";
    };
  };
}